      subroutine PRTPRM(IT)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'INPAR.INC'
      include 'MODNAM.INC'
      include 'UNITS.INC'
      include 'TRANS.INC'
      real ARGS(10)
      integer LOW1,LOW2,LOW3,UP1,UP2,UP3,SUBS(7),NARGS,ITDTD
      integer LOWUP(6),IT,K,I,INDX,MATCH,N,N1,LENT,JJ,ITS,ITM1
      character*1 DELIM(3), NAME(6), TEMP
      data DELIM /' ','(','='/
      IT = 0
      START = STOPIT+1
      K = START-1
      do 100 I = START, 80
         TEMP = INPUT(I:I)
         if (TEMP.eq.' '.or.TEMP.eq.'	') go to 100
         K = K+1
         INPUT(K:K) = INPUT(I:I)
100   continue
      if (K.eq.80) go to 110
      IT = 1
      if (K.eq.START-1) go to 170
      K = K+1
      INPUT(K:) = ' '
110   continue
      call SKAN (INPUT,START,STOPIT,TYPE,DELIM,2)
      INDX = MATCH(NOMOD,LNMODS,MODLEN,MODS,MODMIN)
      IT = -2
      if (INDX.eq.0) go to 170
      IT = 6
      if (TD(INDX).eq.0) go to 170
      N = 0
      N1 = INDX-1
      if (N1.eq.0) go to 130
      do 120 I = 1, N1
         N = N+MODLEN(I)
120   continue
130   continue
      LENT = MODLEN(INDX)
      N1 = N+LENT
      N = N+1
      if (MODS(N1).eq.'G') then
         N1 = N1-1
         LENT = LENT-1
      endif
      JJ = N-1
      do 140 I = 1, LENT
         JJ = JJ+1
         NAME(I) = MODS(JJ)
140   continue
      ITS = TS(INDX)
      SUBS(6) = LENT
      if (TYPE.eq.1) go to 150
      IT = 7
      if (ITS.eq.0) go to 170
      ITM1 = TS(INDX)-1
      call GETARG (NARGS,ARGS,IT,ITM1)
      if (IT.ne.0) go to 170
150   continue
      call CHKSUB (ARGS,INDX,LOWUP,IT)
      if (IT.ne.0) go to 170
      LOW1 = LOWUP(1)
      LOW2 = LOWUP(2)
      LOW3 = LOWUP(3)
      UP1 = LOWUP(4)
      UP2 = LOWUP(5)
      UP3 = LOWUP(6)
      RDWR = 1
      ITDTD = TD(INDX)
      SUBS(4) = ITS
      SUBS(5) = ITDTD
      do 160 ICL1 = LOW1, UP1
         SUBS(1) = ICL1
         do 160 ICL2 = LOW2, UP2
            SUBS(2) = ICL2
            do 160 ICL3 = LOW3, UP3
               SUBS(3) = ICL3
               call GETVAR
               call BLDOUT (SUBS,NAME)
160   continue
170   continue
      return
      end
